/*
==========================================================================
	DICE.H (version 1.06)
		Standard dice-rolling library interface.
	Copyright (c) 2001-2004 by Daniel R. Collins. All rights reserved.
  You may freely copy this document, if copyright notice is maintained.
==========================================================================
*/

#ifndef DICE_H
#define DICE_H


class Dice {
public:
  // Static functions
  static void init (void);
  static int  roll (int type);
  static int  roll (int num, int type);
  
  // Constructors
  Dice (void);
  Dice (int _num, int _type, int _mod);
  Dice (const char *s);

  // Member functions
  void set (int _num, int _type, int _mod);
  void read (const char *s);
  char *write (char *s);
  int  roll (void);
  int  rollMin1 (void);

private:
  signed char num, type, mod, reserved;
};


#endif

